%define majorversion 2.6
%define minorversion .4
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	AbiWord is a free word processing program similar to Microsoft Word
Name:      	abiword
Version:   	%{majorversion}%{minorversion}
Release:   	1
License: 	GNU/GPL
URL:		http://www.abisource.com
Group:     	Office
Source0: 	abiword-%{version}.tar.gz
Source1:	abiword.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	gtk2+ >= 2.8.3
BuildRequires:	fribidi-devel 
BuildRequires:  libcroco-devel 
BuildRequires:  gtk2+-devel >= 2.8.3
BuildRequires:  libgnomeprint-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  xorg-x11-xtrans-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  glib-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  libgsf-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  libstdc++-devel
BuildRequires:  libwmf-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib
BuildRequires:  libgd-devel
BuildRequires:  libwv-devel
BuildRequires:  readline-devel
BuildRequires:  libwpd-devel
BuildRequires:  ncurses-devel

%description
AbiWord is a free word processing program similar to Microsoft Word.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n abiword-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug
make
#cd ../abiword-plugins
#./configure \
#--prefix=%_prefix \
#--disable-debug \
#--with-sys-wv
#make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_datadir/icons $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_applications
#cd ../abiword-plugins
#make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}/%{name}-%{majorversion}
%{_datadir}/applications
%{_datadir}/mime-info
%{_datadir}/pixmaps

%files devel
%defattr(-,root,root)
%{_includedir}
%{_pkgconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 16 2008 Christian Metzen <metzench@ccux-linux.de> 2.6.4-1
- Version update
* Fri May 02 2008 Christian Metzen <metzench@ccux-linux.de> 2.6.3-1
- Version update
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 2.6.2-1
- Version update
* Mon Mar 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-1
- Version update
* Fri Apr 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.6-1
- Version update
* Tue Sep 19 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.5-1
- Version update
* Sun May 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.4.4-1
- Version update
* Thu Mar 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.4.2-1
- Version update
* Tue Sep 27 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.10-1
- Version update
* Fri Jul 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.9-1
- Version update
* Mon Jun 06 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-1
- Version update to 2.2.8
* Wed May 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.7-2
- Added some Abiword plugins to package
* Tue Apr 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.7-1
- Version Update to 2.2.7
* Fri Mar 04 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.5-1
- Version Update to 2.2.5
* Wed Feb 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.4-1
- Version Update to 2.2.4
* Sat Feb 12 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.3-2
- Moved Icon Location
* Sat Feb 12 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.3-1
- Initial Release
